Name:		qdigidoc
Version:	3.13.3
Release:	%mkrel 1
Summary:	Estonian digital signature application

Group:		Office/Utilities
License:	LGPLv2
URL:		http://id.eesti.ee
Source0:	http://archive.esteid.org/%{version}/%{name}-%{version}.tar.gz
Patch0:		qdigidoc-3.13.3-build-offline.patch

BuildRequires:	cmake
BuildRequires:	libdigidocpp-devel
BuildRequires:	openldap-devel
BuildRequires:	qt5-devel
BuildRequires:	qttools5
BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(gobject-introspection-1.0)

Requires:	opensc
Requires:	ccid
Requires:	pcsc-lite
# fix mga#11352
Requires:	locales-et

%description
QDigiDoc is an application for digitally signing and encrypting documents in
BDoc, DDoc, and CDoc container formats. These file formats are widespread in
Estonia where they are used for storing legally binding digital signatures.


%package	nautilus
Summary:	Nautilus extension for %{name}
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus-python
Requires:	python-gi

%description	nautilus
The %{name}-nautilus package contains the %{name} extension for the
nautilus file manager.


%prep
%autosetup -p1 -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
# Fix linking
LDFLAGS="-Wl,--copy-dt-needed-entries"
export LDFLAGS
%{cmake} ../..
popd

%make -C %{_target_platform}/build


%install
%makeinstall_std -C %{_target_platform}/build

%find_lang nautilus-qdigidoc


%files
%{_bindir}/*
%{_datadir}/appdata/%{name}-client.appdata.xml
%{_datadir}/appdata/qdigidoc-cypto.appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*.xml
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/kde4/services/*.desktop
%{_mandir}/man1/qdigidocclient.1.*

%files nautilus -f nautilus-qdigidoc.lang
%{_datadir}/nautilus-python/extensions/*


%changelog
* Wed Oct 25 2017 sander85 <sander85> 3.13.3-1.mga6
+ Revision: 1173609
- Add patch to enable offline building
- New version: 3.13.3

* Mon Dec 19 2016 sander85 <sander85> 3.12.3-1.mga6
+ Revision: 1076124
- New version: 3.12.3

* Tue May 03 2016 sander85 <sander85> 3.12.1-1.mga6
+ Revision: 1008964
- New version: 3.12.1

* Sat Jan 16 2016 sander85 <sander85> 3.11.1-1.mga6
+ Revision: 924694
- New version: 3.11.1

* Thu Aug 27 2015 cjw <cjw> 3.11.0-2.mga6
+ Revision: 870182
- rebuild with gcc 5

* Sat Aug 15 2015 sander85 <sander85> 3.11.0-1.mga6
+ Revision: 864918
- New version: 3.11.0

* Sat Jun 27 2015 sander85 <sander85> 3.10.0-1.mga6
+ Revision: 845774
- New version: 3.10.0

* Sun Oct 26 2014 sander85 <sander85> 3.9.1-1.mga5
+ Revision: 793484
- New version: 3.9.1

* Wed Oct 15 2014 umeabot <umeabot> 3.9.0-3.mga5
+ Revision: 741925
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.9.0-2.mga5
+ Revision: 688472
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Mon Jul 07 2014 sander85 <sander85> 3.9.0-1.mga5
+ Revision: 650472
- New version: 3.9.0

* Wed Feb 05 2014 sander85 <sander85> 3.8.1.0-1.mga5
+ Revision: 583543
- New version: 3.8.1.0

* Fri Jan 03 2014 tmb <tmb> 3.7.2.0-4.mga4
+ Revision: 564261
- require locales-et (mga#11352)

* Sat Nov 02 2013 fwang <fwang> 3.7.2.0-3.mga4
+ Revision: 548954
- add requires

* Sat Oct 19 2013 umeabot <umeabot> 3.7.2.0-2.mga4
+ Revision: 533358
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 sander85 <sander85> 3.7.2.0-1.mga4
+ Revision: 472640
- New version: 3.7.2.0
- Small text changes to extensions patch

* Sun Jun 02 2013 sander85 <sander85> 3.7.1.0-1.mga4
+ Revision: 435399
- New version: 3.7.1.0

* Sun Jan 13 2013 umeabot <umeabot> 3.6.0.0-3.mga3
+ Revision: 379803
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Office/Other -> Office/Utilities

* Mon Jan 07 2013 barjac <barjac> 3.6.0.0-2.mga3
+ Revision: 340414
- update group

* Mon Sep 17 2012 sander85 <sander85> 3.6.0.0-1.mga3
+ Revision: 295457
- New version: 3.6.0.0

* Sun Jul 22 2012 sander85 <sander85> 3.5.1-1.mga3
+ Revision: 273474
- new version: 3.5.1

* Sun Jan 08 2012 sander85 <sander85> 3.5.0-2.mga2
+ Revision: 193404
- rebuild for missing signature

* Sun Jan 08 2012 sander85 <sander85> 3.5.0-1.mga2
+ Revision: 193332
- new version: 3.5.0
- rebuild for new libp11

* Sat Apr 23 2011 sander85 <sander85> 3.4.0-1.mga1
+ Revision: 89945
- imported package qdigidoc

